- name: Install service configuration
  copy:
    src: "files/{{ item }}_rc.conf"
    dest: "/etc/rc.conf.d/{{ item }}"
    mode: 0644
    owner: root
    group: wheel
  loop:
    - automount

- name: Install Configuration
  copy:
    src: "files/{{ item.src }}"
    dest: "{{ item.dest }}"
    mode: 0644
    owner: root
    group: wheel
  loop:
    - src: auto_master
      dest: /etc/auto_master

- name: Install loader.conf
  copy:
    src: "files/{{ item }}_loader.conf"
    dest: "/boot/loader.conf.d/{{ item }}.conf"
    mode: 0644
    owner: root
    group: wheel
  loop:
    - autofs

- name: Create directories
  file:
    name: "{{ item }}"
    state: directory
    mode: 0755
    owner: root
    group: wheel
  loop:
    - /usr/local/etc/devd

- name: Install devd Configuration
  copy:
    src: "files/{{ item.src }}_devd.conf"
    dest: "/usr/local/etc/devd/{{ item.dest|default(item.src) }}.conf"
    mode: 0644
    owner: root
    group: wheel
  loop:
    - src: autofs
